OOUI-ify the management interfaces (special pages) for OAuth
Closed, ResolvedPublic

Related Objects

StatusAssignedTask
InvalidNone
OpenNone
OpenNone
OpenNone
ResolvedTgr
Declinedmatmarex
ResolvedEsanders
Resolvedmatmarex
ResolvedMarkTraceur
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
ResolvedTgr
Resolvedmatmarex
Resolvedmatmarex
Resolvedmatmarex
MarkTraceur updated the task description. (Show Details)
MarkTraceur raised the priority of this task from to Normal.
MarkTraceur claimed this task.
MarkTraceur added a subscriber: MarkTraceur.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 15 2015, 4:23 PM
Tgr claimed this task.May 10 2015, 6:37 PM

This needs a design review. IIRC OOUI-fying of other extensions has been rejected because the current OOUI design is very different from mediawiki.ui.

Tgr updated the task description. (Show Details)May 11 2015, 3:32 PM
Tgr set Security to None.
In T96154#1276329, @Tgr wrote:

This needs a design review. IIRC OOUI-fying of other extensions has been rejected because the current OOUI design is very different from mediawiki.ui.

By whom? It's certainly not been "rejected" to the knowledge of anyone in Editing – indeed, OOUI-ification is a big part of our work for the next year or so… Before the re-org, UI-Standardization was a big priority for the UX team for everyone to work on.

Tgr added a comment.May 11 2015, 7:36 PM

"Rejected" was the wrong way to put it, it was put on hold until OOUI becomes more in sync with mediawiki.ui. Unfortunately I don't remember what that project was... so maybe I am just confabulating. In any case, there is a big difference between the two designs and the visual concepts that are used in other places (such as constructive and destructive colors) are not present in OOUI; so I think a nod from Design wouldn't hurt.

(OTOH if we end up not using OOUI for now, the behavior of the dialog on Esc should be fixed. OOUI handles that sanely but the current dialog does not.)

Change 201230 had a related patch set uploaded (by Gergő Tisza):
Change dialog for Special:MWOAuth to use OOUI

https://gerrit.wikimedia.org/r/201230

Tgr added a comment.Jun 18 2015, 4:50 PM

I guess I messed this task up a but by mixing concerns about the authorization dialog and the special pages (probably what Mark meant by management interfaces). The latter should not be problematic - for forms, OOUI and mediawiki.ui look almost identical, and OAuth does not use mw.ui (and thus looks really ugly) anyway.

Tgr renamed this task from OOUI-ify the management interfaces for OAuth to OOUI-ify the management interfaces (special pages) for OAuth.Jun 18 2015, 4:55 PM
Tgr updated the task description. (Show Details)
Tgr removed projects: Patch-For-Review, Design.
Tgr added a comment.EditedJun 19 2015, 2:32 AM

Things that look not so good:

  • autocompleteselect (T98856) and radio (T98855) not yet implemented
  • info fields following the pre-text look wonky without the wrapping legend (T103026)
  • progressive buttons don't work correctly (T103046)

Change 219432 had a related patch set uploaded (by Gergő Tisza):
Switch management interfaces to OOUI

https://gerrit.wikimedia.org/r/219432

Tgr changed the task status from Open to Stalled.Jun 22 2015, 9:00 PM

There are two pending patches for this task:

Somebody please figure out which one is better and abandon the other :)

Change 205720 had a related patch set uploaded (by Bartosz Dziewoński):
Use new OOUI display format in most forms

https://gerrit.wikimedia.org/r/205720

matmarex changed the task status from Stalled to Open.Mar 10 2016, 3:38 PM

I think all OOjs UI issues mentioned above are now resolved and this is good to go.

Change 219432 abandoned by Gergő Tisza:
Switch management interfaces to OOUI

https://gerrit.wikimedia.org/r/219432

Tgr added a comment.Sep 11 2016, 10:01 AM

The management form (which is full of info widgets) does not look great in OOUI.

vformoauth

Change 309924 had a related patch set uploaded (by Gergő Tisza):
Replace HTMLForm info fields with definition lists on management interface

https://gerrit.wikimedia.org/r/309924

@Tgr Would you provide a screenshot with your patch?

Tgr added a comment.Jan 13 2017, 11:22 PM
inside a formoutside a form

Change 205720 merged by jenkins-bot:
Use new OOUI display format in most forms

https://gerrit.wikimedia.org/r/205720

Change 309924 merged by jenkins-bot:
Replace HTMLForm info fields with definition lists on management interface

https://gerrit.wikimedia.org/r/309924

matmarex closed this task as Resolved.Jan 22 2017, 1:27 PM
matmarex removed a project: Patch-For-Review.

A few more representative screenshots:

PageBeforeAfter
Special:OAuthConsumerRegistration/propose
Special:OAuthConsumerRegistration/update/(owner-only consumer)
Special:OAuthListConsumers
Special:OAuthManageConsumers/(owner-only consumer)
Special:OAuthManageConsumers/(regular consumer)
Special:OAuthManageMyGrants/revoke/1
TheDJ added a subscriber: TheDJ.Jan 23 2017, 11:51 AM

On a related note.. ZOMG, what terrible UX design do we have for OAuth :)

Should have pinged Tech News about this, but maybe better late than never.

bd808 added a subscriber: bd808.Jan 30 2017, 9:27 PM

On a related note.. ZOMG, what terrible UX design do we have for OAuth :)

It's almost like the team that built it had no embedded design resources, was disbanded a week after the production rollout so that other projects could be worked on instead, that subsequently the entire department that they worked in was disbanded, and then no product vertical adopted the project as critical feature. I see @Tgr's team's tag on this project, but I'm guessing that mostly he decided to work on it because he continues to care about OAuth as a product.

It would be awesome to see someone put up an OAuth UX centered project for the Developer-Wishlist. OAuth is pretty critical for supporting the bots and tools developer communities which make up a non-trivial portion of our technical contributors.

Tgr added a comment.Jan 30 2017, 9:42 PM

I see @Tgr's team's tag on this project, but I'm guessing that mostly he decided to work on it because he continues to care about OAuth as a product.

Improving the OAuth interface was one of the Reading Infrastructure goals six or seven quarters ago (but I didn't do a good job of it at the time and never got to this task), no one thought of removing the tag after that I suppose. Right now it's mostly personal, yeah (although most of the work behind the OOUI switch is by @matmarex).

It would be awesome to see someone put up an OAuth UX centered project for the Developer-Wishlist. OAuth is pretty critical for supporting the bots and tools developer communities which make up a non-trivial portion of our technical contributors.

Could easily be two (user interface and owner/admin interface). See T75062: OAuth permission screen needs redesign for better usability and comprehension for the first and T103587: Improve OAuth application approval workflow and T98880: Improve OAuth management interface for the second.